/* KallistiOS 1.1.7

 draw.h

 (c)2002 Dan Potter

 Adapted from Kosh, (c)2000 Jordan DeLong

 $Id: draw.h,v 1.1 2002/04/20 19:23:34 bardtx Exp $

*/
   
#ifndef __CONIO_DRAW_H
#define __CONIO_DRAW_H

/* font size constants */
#define CONIO_FONT_WIDTH 	12
#define CONIO_FONT_HEIGHT 	24

/* screen size constants */
#define CONIO_SCREEN_WIDTH	640
#define CONIO_SCREEN_HEIGHT	480

/* more constants */
#define CONIO_SCREEN_FIRSTCOL ( (CONIO_SCREEN_WIDTH - CONIO_FONT_WIDTH * CONIO_NUM_COLS) / 2 )
#define CONIO_SCREEN_LASTCOL  (CONIO_SCREEN_WIDTH - CONIO_SCREEN_FIRSTCOL)

/* color themes */
#define CONIO_THEME_C64		1
#define CONIO_THEME_MATRIX	2
#define CONIO_THEME_PLAIN	3

/* the theme */
extern int conio_draw_theme;

/* functions */
void conio_draw_init();
void conio_draw_shutdown();
void conio_draw_frame();

#endif /* __CONIO_DRAW_H */

